+++
date = "2017-02-05T07:51:49+01:00"
title = "Home"
draft = false

+++

Hi, it's Vincent. I write about my **Common Lisp journey** here. I
started the blog when I was discovering the language and the
ecosystem, wishing more people wrote about CL. Because Common Lisp ~~is~~ was
the most hidden world I know.

I now wrote tools, libraries and software, and I run a web app in
production©.

---

I write intensively about Common Lisp *on collaborative resources*. **My hidden plan is to make Common Lisp popular again**. For this, I contribute to the [Common Lisp Cookbook](https://github.com/LispCookbook/cl-cookbook/) (I am the main contributor, by far). I wrote about: CLOS, data structures, building executables, scripting, web scraping, debugging, error handling, testing, databases, GUI programming, web development, etc, and I added a theme, a sidebar and syntax highlighting. I also take time to maintain the [awesome-cl list](https://github.com/CodyReichert/awesome-cl/), an important resource in my eyes. I dig up, reference and sort Common Lisp libraries (and I still discover hidden gems three years after). I do community stuff for [Lisp Advocates](https://www.reddit.com/r/lispadvocates/) (not the creator).

Now a newcomer has far more practical information for getting started than a few years ago. But there's still a lot to do, and I'd like to do more. You can thank me and encourage me by donations on the following platforms. As I currently don't have a fixed (nor big) income, that helps. Thanks!

- ko-fi: https://ko-fi.com/vindarel (exempt of charges)
- liberapay: https://liberapay.com/vindarel/ (exempt of charges)
- patreon: https://www.patreon.com/vindarel

<div>
<br/>
<script type='text/javascript' src='https://ko-fi.com/widgets/widget_2.js'></script><script type='text/javascript'>kofiwidget2.init('Buy me a coffee!', '#29abe0', 'K3K828W0V');kofiwidget2.draw();</script>
</div>

I also write and maintain tools. Among others:

- [colisper](https://github.com/vindarel/colisper), an interface to Comby, for syntactic code checking and refactoring of Lisp code.
- [indent-tools](https://github.com/vindarel/indent-tools) (emacs package)
- [print-licences](https://github.com/vindarel/print-licenses)

libraries:

- [cl-str](https://github.com/vindarel/cl-str/), that fixed my first frustration with CL
- [replic](https://github.com/vindarel/replic/), to help create a readline application in no time
- [fuzzy-match](https://github.com/vindarel/fuzzy-match)
- [cl-sendgrid](https://github.com/vindarel/cl-sendgrid), to send emails easily with the Sendgrid API.
- [cl-readline](https://github.com/vindarel/cl-readline) (maintainer)
- [cl-ansi-term](https://github.com/vindarel/cl-ansi-term) (maintainer)

software:

 - [cl-torrents](https://github.com/vindarel/cl-torrents), with an experimental [Weblocks front-end](https://github.com/vindarel/cl-torrents-web)
 - [Abelujo](https://gitlab.com/vindarel/abelujo/), a free software for bookshops
 - [ABStock](https://github.com/vindarel/ABStock), a catalogue of books (and other products)
 - [OpenBookStore](https://github.com/OpenBookStore/openbookstore), a personal book manager, aiming to replace Abelujo

project skeletons and demos:

- [lisp-web-template-productlist](https://github.com/vindarel/lisp-web-template-productlist): Hunchentoot + easy-routes + Djula templates + Bulma CSS + a Makefile to build the project
- [lisp-web-live-reload-example](https://github.com/vindarel/lisp-web-live-reload-example): an example of how image-based development is useful. Learn to interact with a running website, including with a remote one with Swank.
- [Weblocks-todomvc](https://github.com/vindarel/weblocks-todomvc)

and others:

- the [lisp-maintainers](https://github.com/vindarel/lisp-maintainers) list.
- the funny [Hacker Typer in Lisp](https://github.com/vindarel/Hacker-Typer).
- the [list of languages implemented in Lisp](https://github.com/vindarel/Hacker-Typer).

I contribute to awesome projects such as:

- [Weblocks](https://github.com/40ants/weblocks/), an [isomorphic web framework](https://github.com/vindarel/awesome-no-js-web-frameworks). I helped write the quickstart, fixed HTML generation in tables, wrote more documentation, raised issues.
- the [Nyxt browser](https://github.com/atlas-engineer/nyxt/): I was part of the team in 2019, I am the second contributor of that year.

and I fix bugs when I see them (Mito, Djula…).

You can reach me by email at vindarel, mailz dot org. I am [/u/(reverse (str:concat "vince" "zd"))](https://www.reddit.com/user/dzecniv/) on reddit.

---

This website's sources are on Gitlab: https://gitlab.com/lisp-journey/lisp-journey.gitlab.io/issues
