---
title: "These Months in Common Lisp: Q2 2018"
date: 2018-07-02T14:59:46+02:00
draft: false
---

[Q1 2018](https://lisp-journey.gitlab.io/blog/these-months-in-common-lisp-q1-2018/)

# Documentation

- [Paradigms of Artificial Intelligence Programming epub](https://github.com/norvig/paip-lisp/blob/master/PAIP-safari.epub)
- [Models and Databases, with Mito and SxQL - the Common Lisp Cookbook](https://lispcookbook.github.io/cl-cookbook/databases.html)
- [Awesome Common Lisp learning list](https://github.com/GustavBertram/awesome-common-lisp-learning-list)

# Announcements

- [ELS2018 proceedings (PDF)](https://www.european-lisp-symposium.org/static/proceedings/2018.pdf)
- [SBCL 1.4.6 released](http://sbcl.org/all-news.html?1.4.6#1.4.6)
- [SBCL 1.4.7 Released](http://sbcl.org/all-news.html?1.4.7)
- [LispWorks 7.1.1 - Patches](http://www.lispworks.com/downloads/patch-selection.html)
- [SBCL method-combination fixes](http://christophe.rhodes.io/notes/blog/posts/2018/sbcl_method-combination_fixes/)
- [SBCL method tracing](http://christophe.rhodes.io/notes/blog/posts/2018/sbcl_method_tracing/)
- [$500 Bounty on Clozure/ccl](https://www.bountysource.com/issues/47099106-use-microsoft-tools-to-build-lisp-kernel)

# Jobs

- [Junior Lisp Developer, RavenPack, Marbella, Spain](https://lispjobs.wordpress.com/2018/04/16/junior-lisp-developer-ravenpack-marbella-spain/)
- [3E : Lisp Developer - development, maintenance, design and unit testing of SynaptiQ’s real-time aggregation and alerting engine that processes time-series and events. This data engine is Common Lisp based.](http://3eeu.talentfinder.be/en/vacature/30101/lisp-developer)
- [Lisp Engineer - AI (Natural Language Reasoning)](https://www.indeed.com/viewjob?t=lisp+engineer+ai+natural+language+reasoning&jk=d14c7726839e6b01&_ga=2.203861651.2000107742.1525918694-1699101565.1509521844)

# Projects


[Quicklisp dist update, march 2018](http://blog.quicklisp.org/2018/03/quicklisp-dist-update-for-march-2018.html)

- [SHCL: An Unholy Union of POSIX Shell and Common Lisp](https://github.com/bradleyjensen/shcl) ([reddit](https://www.reddit.com/r/lisp/comments/8kpbcz/shcl_an_unholy_union_of_posix_shell_and_common/))
- [cl-notebook](https://github.com/inaimathi/cl-notebook/)
- [Heroku buildpack for Common Lisp](https://gitlab.com/duncan-bayne/heroku-buildpack-common-lisp)
- [Kubernetes Client Library for Common Lisp](https://github.com/xh4/cube)
- [Interactive Common Lisp code snippets in any web page](http://blog.klipse.tech/lisp/2018/05/07/blog-common-lisp.html)
- [rove](https://github.com/fukamachi/rove/) - small testing framework (Fukamachi's successor to Prove)
- [can](http://blog.quicklisp.org/2018/03/quicklisp-dist-update-for-march-2018.html) - a role-based access right control library
- [house](https://github.com/inaimathi/house/) - custom asynchronous HTTP server for the Deal project.
- [oxenfurt](https://github.com/Shinmera/oxenfurt) - A Common Lisp client library for the Oxford dictionary API.
- [algebraic-data-library](https://github.com/tarballs-are-good/algebraic-data-library/)
- [Lisp Interface to Federal Reserve Economic Data (FRED®)](https://github.com/plkrueger/CommonLispFred)
- [reddit1.0 source code](https://github.com/reddit-archive/reddit1.0) ([comments](https://www.reddit.com/r/Common_Lisp/comments/886yeu/reddit10/)), then [Reddit's code runs on SBCL](https://www.reddit.com/r/Common_Lisp/comments/8ata3c/reddit_code_runs_on_sbcl/). See also [reddit](https://www.reddit.com/r/programming/comments/883vzs/old_reddit_source_code/).
- [Petalisp](https://www.reddit.com/r/Common_Lisp/comments/8f6wez/petalisp_elegant_high_performance_computing/): Elegant High Performance Computing
- [Code Golf Site with Common Lisp Support!](https://code-golf.io/)
- [vseloved/wiki-lang-detect](https://github.com/vseloved/wiki-lang-detect): Text language identification using Wikipedia data
- [ppath, a path manipulation library](https://www.reddit.com/r/Common_Lisp/comments/8gzm4w/ppath_a_path_manipulation_library/)
- [CRAM](http://cram-system.org/): Cognitive Robot Abstract Machine - a toolbox for designing, implementing and deploying software on autonomous robots
- [cl-statistics.lisp](http://compbio.ucdenver.edu/Hunter_lab/Hunter/cl-statistics.lisp)
- [Pseudoscheme - An implementation of Scheme embedded in Common Lisp](http://mumble.net/~jar/pseudoscheme/) ("with minor changes it runs in ABCL, CCL, ECL and LispWorks. But not in SBCL...")
- [Powerlisp: A simple tool to automate your work with dmenu/rofi](https://github.com/luksamuk/powerlisp)
- [curry-compose-reader-macros](https://eschulte.github.io/curry-compose-reader-macros/) - concise function partial application and composition
- [json-mop](https://github.com/gschjetne/json-mop): A metaclass for bridging CLOS and JSON objects
- [clsh](https://github.com/obicons/clsh): a set of Lispy bindings for running and composing *nix processes
- [snakes](https://github.com/BnMcGn/snakes) - Python style generators for Common Lisp. (Includes a port of itertools.)

new releases:

- [Portacle: Release Linux Portability Fixes, Included SLY, Usability Improvements](https://github.com/portacle/portacle/releases/tag/1.2)

(re)discoveries:

- [Cocoa interface code written in Lisp for use with Clozure Common Lisp](https://github.com/plkrueger/CocoaInterface)
- [cl-bench - Common Lisp benchmarking suite](https://www.reddit.com/r/Common_Lisp/comments/882mz4/clbench_common_lisp_benchmarking_suite/)
- [Eclipse Common Lisp (Howard Stearns / Elwood Corp)](https://www.reddit.com/r/Common_Lisp/comments/88xin6/eclipse_common_lisp_howard_stearns_elwood_corp/)
- [Arboreta/arboreta-wasm - Common Lisp tooling for WebAssembly](https://github.com/Arboreta/arboreta-wasm/blob/master/wasm.cl)
- [QGAME: Quantum and Gate Measurement Emulator](http://faculty.hampshire.edu/lspector/qgame.html)
- [Trivia: Pattern Matching](https://github.com/guicho271828/trivia)


From the Lisp Game Jam 2018:

- [Option 9: A Shoot'em Up Miniature Video Game in Common Lisp](http://pages.cs.wisc.edu/~psilord/lisp-public/option-9.html)
- [Orbit Defense Strikeforce](https://luksamuk.itch.io/cl-ods)

all [results](https://www.indeed.com/viewjob?t=lisp+engineer+ai+natural+language+reasoning&jk=d14c7726839e6b01&_ga=2.203861651.2000107742.1525918694-1699101565.1509521844)

# Articles

- [Lisp, Jazz, Aikido: Three Expressions of a Single Essence](https://www.reddit.com/r/lisp/comments/8bshzw/lisp_jazz_aikido_three_expressions_of_a_single/)
- [Creating a CL-Rivescript Interpreter (Part 1)](http://funlisp.blogspot.com/2018/03/creating-cl-rivescript-interpreter-part.html) and [part 10](http://funlisp.blogspot.com/2018/04/creating-cl-rivescript-interpreter-part_14.html)
- [Why lisp - biolisp](https://biolisp.github.io/#why-lisp)
- [Scripting in Common Lisp with buildapp's multi-call binaries and fare's cl-scripting](https://ebzzry.io/en/script-lisp/)
- [Fun with Macros: Gathering / Steve Losh](http://stevelosh.com/blog/2018/05/fun-with-macros-gathering/)
- [Calling Go Functions from Lisp](http://www.rangakrish.com/index.php/2018/05/27/calling-go-functions-from-lisp/)
- [Lispology - Printing floating-point numbers](http://www.lispology.com/show?27LP)
- [Prolog to Lisp](https://www.reddit.com/r/Common_Lisp/comments/8pa6rg/prolog_to_lisp/)
- [How do you design with Prolog in Lisp?](https://www.reddit.com/r/lisp/comments/8svch2/how_do_you_design_with_prolog_in_lisp/)
- [When to use type specifiers in CL code?](https://www.reddit.com/r/Common_Lisp/comments/8qca4o/when_to_use_type_specifiers_in_cl_code/)
- [Jeff Massung: Common Lisp libraries that I made over the course of a few years and have consistenly returned to, always found useful, and kept up-to-date.](http://codeninja.blog/2018/lisp-code/)
- [Experience writing a full featured livejournal blog client in Common Lisp](http://can3p.github.io/blog/2018/06/19/client-writeup-intro/). Part 2: [client logic](http://can3p.github.io/blog/2018/06/22/client-writeup-logic/)
- [My Lisp Journey #1: Getting Started With trivial-gamekit](https://lthms.xyz/blog/lisp-journey-getting-started)
- [The (Un)common Lisp approach to Operations Research (2012)](https://www.reddit.com/r/lisp/comments/8o2c1y/the_uncommon_lisp_approach_to_operations_research/)
- [Alien: Return of Alien Technology to Classical Planning ](https://www.reddit.com/r/lisp/comments/8jq465/alien_return_of_alien_technology_to_classical/)


# Discussion

- [What Common Lisp web library should I use?](https://www.reddit.com/r/lisp/comments/8s5q7x/what_common_lisp_web_library_should_i_use/), and [Lisp for building a web app, options?](https://www.reddit.com/r/lisp/comments/8k79iz/lisp_for_building_a_web_app_options/)
- [How to collect all asdf dependencies for package-inferred-system?](https://www.reddit.com/r/Common_Lisp/comments/82wiyt/how_to_collect_all_asdf_dependencies_for/)
- [SBCL on Raspberry Pi](https://www.reddit.com/r/Common_Lisp/comments/85oo81/sbcl_on_raspberry_pi/)
- [Please, join the cl-telegram-bot refactoring effort!](https://www.reddit.com/r/Common_Lisp/comments/8665ga/please_join_the_cltelegrambot_refactoring_effort/)
- [GUI development done in Lisp (2013 comment)](https://www.reddit.com/r/lisp/comments/1jq5rk/common_lisp_gui_options/cbhh1y2/) ([reddit](https://www.reddit.com/r/Common_Lisp/comments/86mbhc/gui_development_done_in_lisp_2013_comment/))
- [Question: trying to generalize posix 'stat-' functions](https://www.reddit.com/r/Common_Lisp/comments/8ald5m/question_trying_to_generalize_posix_stat_functions/)
- [Package Name and Nickname Collisions in Quicklisp](https://www.reddit.com/r/Common_Lisp/comments/8azd8n/package_name_and_nickname_collisions_in_quicklisp/)
- [Common Lisp and Machine Learning these days](https://www.reddit.com/r/Common_Lisp/comments/8bn7f9/common_lisp_and_machine_learning_these_days/)
- [Is cl-autowrap the preferred way to generate FFI bindings these days?](https://www.reddit.com/r/Common_Lisp/comments/8bqava/is_clautowrap_the_preferred_way_to_generate_ffi/)
- [Want to make it so Common Lisp understands GeoJSON data](https://www.reddit.com/r/Common_Lisp/comments/8oy69a/want_to_make_it_so_common_lisp_understands/)
- [How to send and receive data over UDP asynchronously in common lisp?](https://www.reddit.com/r/Common_Lisp/comments/8szurv/how_to_send_and_receive_data_over_udp/)
- [Fun with Macros: Gathering / Steve Losh ](http://stevelosh.com/blog/2018/05/fun-with-macros-gathering/)

Learning Lisp:

- [One package per (or file project something-else)?](https://www.reddit.com/r/Common_Lisp/comments/8r9jfc/one_package_per_or_file_project_somethingelse/)
- [Small executables in LISP ?](https://www.reddit.com/r/lisp/comments/8nt95a/small_executables_in_lisp/)
- [What can Sly do out-of-the-metaphorical-box that slime+slime-company+<some-other-contribs> can't?](https://www.reddit.com/r/Common_Lisp/comments/8sgqfq/what_can_sly_do_outofthemetaphoricalbox_that/)
- [TIL that I can create CLOS constructors for conditions](https://www.reddit.com/r/Common_Lisp/comments/8a8sps/til_that_i_can_create_clos_constructors_for/)
- [Macro question from a Clojure programmer](https://www.reddit.com/r/Common_Lisp/comments/8cwemh/macro_question_from_a_clojure_programmer/)
- [Why did you decide to learn Lisp?](https://www.reddit.com/r/lisp/comments/8jzpzw/why_did_you_decide_to_learn_lisp/)
- [How do you go about starting a Common Lisp Project? A beginner looking for pointers.](https://www.reddit.com/r/lisp/comments/8j9ing/how_do_you_go_about_starting_a_common_lisp/)

# Screencasts

- [Lots of bits of lisp - CFFI ](https://youtu.be/A5CnYlG7sc8)
- [Lots of bits of Lisp - Macros (2 hr episode) ](https://www.youtube.com/watch?v=ygKXeLKhiTI)
- [MIT OpenCourseWare](https://www.youtube.com/watch?v=2Op3QLzMgSY&t=106s)
- [Lisp, The Quantum Programmer's Choice - Computerphile episode 2](https://www.youtube.com/watch?v=dw-y3vNDRWk)
- [McCLIM + Maxima: plot manipulation](https://www.youtube.com/watch?v=9VIT_Ml2v-Q)
- [McCLIM + Maxima: vector demo](https://www.youtube.com/watch?v=AvC82EjoPYU)
- [Comfy Lisp Programming - Project "Wikify" | Episode 2 @ 10am PST ](https://www.youtube.com/watch?v=CbfHpLUPL7E)
- [Pushing Pixels with Lisp - Episode 45 - World space shenanigans & Vignette](https://youtu.be/Zv_0U5kVIf8)
- [Common lisp and C++17 Live coding stream | TinyCDN CFFI Interop | Episode 13](https://www.reddit.com/r/lisp/comments/8ubnkn/common_lisp_and_c17_live_coding_stream_tinycdn/)
- [Growing a Lisp compiler - Amsterdam Lisp](https://www.youtube.com/watch?v=XT7JYPtWMd8)
- [Web Development in Emacs, Common Lisp and Clojurescript - Potato (Slack-like)](https://www.youtube.com/watch?v=bl8jQ2wRh6k)
- [Any news on the ELS videos?](https://www.reddit.com/r/Common_Lisp/comments/8rsnec/any_news_on_the_els_videos/) (answer: no)

# Common Lisp VS ...

- [Miller School Researchers Help Push the Limits of Programming Languages in Biology](http://med.miami.edu/news/miller-school-researchers-help-push-the-limits-of-programming-languages-in-)
- [Lisp vs Java (thought you guys might find this humorous)](https://www.reddit.com/r/lisp/comments/8mcts3/lisp_vs_java_thought_you_guys_might_find_this/)
- [What other languages besides Lisp do you enjoy programming in?](https://www.reddit.com/r/lisp/comments/8q6gaa/what_other_languages_besides_lisp_do_you_enjoy/)
