---
title: "These Months in Common Lisp: Q3 2018"
date: 2018-10-06T23:47:06+02:00
draft: false
---

- [Q1 2018](https://lisp-journey.gitlab.io/blog/these-months-in-common-lisp-q1-2018/)
- [Q2 2018](https://lisp-journey.gitlab.io/blog/these-months-in-common-lisp-q2-2018/)

# Documentation

- [CLOS – the Common Lisp Cookbook (extensive rewrite)](https://lispcookbook.github.io/cl-cookbook/clos.html)
- [Advanced Use of Lisp’s FORMAT Function (2004)](http://cybertiggyr.com/fmt/fmt.pdf)
- [Book: Luger/Stubblefield, 2009; AI Algorithms, Data Structures, and Idioms in Prolog, Lisp, and Java (PDF)](https://www.cs.fsu.edu/~cap5605/Luger_Supplementary_Text.pdf)
- [GitHub - DalekBaldwin/on-lisp: A modernized and annotated code companion to Paul Graham's "On Lisp"](https://github.com/DalekBaldwin/on-lisp)
- [SLY User Manual, version 1.0.0-beta-2](https://joaotavora.github.io/sly/)

# Announcements

- [A new version of Common-Lisp.net has been launched!](https://common-lisp.net/)
- [A new quickdist distribution – Ultralisp.org](https://old.reddit.com/r/Common_Lisp/comments/9as489/a_new_quickdist_distribution_ultralisporg/)
- [Autumn Lisp Game Jam](https://events.tymoon.eu/4)
- [SBCL 1.4.12 Released](http://www.sbcl.org/all-news.html?1.4.12#1.4.12)
- [Next Browser Linux Port Campaign](https://www.reddit.com/r/emacs/comments/9j1ubb/next_browser_linux_port_campaign/)
- [awesome-cl.com (the website)](https://awesome-cl.com/)

# Jobs

- [We are still looking for Lispers who want to work in AI (Toronto and around the world)](https://www.reddit.com/r/lisp/comments/9gs1ew/we_are_still_looking_for_lispers_who_want_to_work/)

# Projects

- [Introducing Seed: An Interactive Software Environment in Common Lisp](https://vimeo.com/237947324)
- [Live reload prototype for clack](https://github.com/knobo/live-reload)
- [Mastodon Bot in Common Lisp](https://gkbrk.com/2018/08/mastodon-bot-in-common-lisp/)
- [slack-client: Slack Real Time Messaging API Client](https://github.com/kkazuo/slack-client)
- [cl-progress-bar: Progress bars, just like in quicklisp!](https://github.com/sirherrbatka/cl-progress-bar/)
- [Shinmera/oxenfurt: A Common Lisp client library for the Oxford dictionary API](https://github.com/Shinmera/oxenfurt)
- [flight-recorder - a robust REPL logging facility](https://lisp-univ-etc.blogspot.com/2018/09/ann-flight-recorder-robust-repl-logging.html)
- [Music: Music framework for musical expression in Common Lisp with a focus on music theory (built from scratch, on development)](https://github.com/MegaLoler/Music)
- [Tovero is a 3D modeling system for Common Lisp](https://common-lisp.net/project/tovero/)
- [RMSBolt: See what your compiler is going inside of Emacs (has minimal support for Common Lisp)](https://gitlab.com/jgkamat/rmsbolt)
- [ftw: Common Lisp Win32 GUI library](https://github.com/fjames86/ftw)
- [pngload: A PNG (Portable Network Graphics) image format decoder](https://www.michaelfiano.com/projects/pngload/)
- [mel-base - forked and actively updated versatile mail library for common lisp](https://www.reddit.com/r/lisp/comments/9g2ook/melbase_forked_and_actively_updated_versatile/)
- [wordnet: Common Lisp interface to WordNet](https://github.com/phoe/wordnet)
- [cl-vep: a video effects processor](https://www.reddit.com/r/lisp/comments/9brkej/clvep_a_video_effects_processor/)
- [CLiCC - The Common Lisp to C Compiler](https://wayback.archive.org/web/20180611080125/https://www.informatik.uni-kiel.de/%7Ewg/clicc.html)
- [LIST-NAMED-CLASS - name your CLOS classes with lists, not just symbols](https://github.com/phoe/list-named-class)
- [GUERRA-ESPACIAL: an implementation of the spacewar computer game in Common Lisp](https://www.guerra-espacial.rufina.link/)
- [Clive is a Common Lisp binding to Open Inventor with extensions](https://common-lisp.net/project/clive/)
- [Lorem ipsum generator in portable Common Lisp](https://github.com/phoe/lorem-ipsum/)
- [tlikonen/cl-decimals: Decimal number parser and formatter package](https://github.com/tlikonen/cl-decimals)
- [tlikonen/cl-enchant: Common Lisp bindings for the Enchant spell-checker library](https://github.com/tlikonen/cl-enchant)
- [tlikonen/cl-general-accumulator: General-purpose, extensible value accumulator library](https://github.com/tlikonen/cl-general-accumulator)
- [Drawing UML diagram with Common Lisp](https://github.com/cuichaox/dml)
- [slurm-cl - a web application framework for Common Lisp and single page applications.](https://gitlab.com/m3tti/slurm-cl)

new releases:

- [Lem v1.4 has been released with paredit-mode](https://github.com/cxxxr/lem/releases/tag/v1.4)
- [Common Lisp OS Mezzano – Demo 4](https://github.com/froggey/Mezzano/releases/tag/demo4)
- [Mito ORM: new deftable shortcut to create default initargs, accessors and metaclass](https://github.com/fukamachi/mito/pull/38)
- [Quickref open-sourced - Didier Verna's Sci-Blog](http://www.didierverna.net/blog/index.php?post/2018/08/07/Quickref-open-sourced)

(re)discoveries:

- [Shuffletron, a Common Lisp Music Player for the terminal](https://lisp-journey.gitlab.io/blog/shuffletron-lisp-music-player-for-the-terminal/)
- [quid-pro-quo: a contract programming library in the style of Eiffel’s Design by Contract](https://github.com/sellout/quid-pro-quo)
- [Successful Lisp: How to Understand and Use Common Lisp (Book download from Author's site)](https://successful-lisp.blogspot.com/p/httpsdrive.html)
- [Cognitive Robot Abstract Machine = Common Lisp + ROS](http://cram-system.org/doc/ide)
- [cl-yaclyaml - a YaML processor (loader, not dumper)](https://github.com/mabragor/cl-yaclyaml)
- [Esrap - a packrat parser for Common Lisp](https://scymtym.github.io/esrap/)
- [gendl - Generative Programming and Knowledge-based Engineering (KBE) system embedded in Common Lisp](https://gitlab.common-lisp.net/gendl/gendl)
- [pcostanza/filtered-functions: an extension of CLOS generic function invocation that enables the use of arbitrary predicates for selecting and applying methods.](https://github.com/pcostanza/filtered-functions)


# Articles

- [A Road to Common Lisp / Steve Losh](http://stevelosh.com/blog/2018/08/a-road-to-common-lisp/)
- [Excavating a Common Treasure: Common Lisp](http://www.newresalhaider.com/post/common-treasure/)
- [First RISCy Steps -- Porting SBCL to the RISC-V](http://christophe.rhodes.io/notes/blog/posts/2018/first_riscy_steps/)
- [My pattern to write a web application in Common Lisp (3)](https://medium.com/@mhkoji/my-pattern-to-write-a-web-application-in-common-lisp-3-86e79c5c3551)
- [A new way of blogging about Common Lisp](A new way of blogging about Common Lisp)
- [Going Serverless: From Common LISP and CGI to AWS Lambda and API Gateway](https://medium.com/@glikson/going-serverless-from-common-lisp-and-cgi-to-aws-lambda-and-api-gateway-9fba46c84fb8)
- [Fun with Macros: If-Let and When-Let / Steve Losh](http://stevelosh.com/blog/2018/07/fun-with-macros-if-let/)
- [How to enable reader macros throughout a project with ASDF's package-inferred-system (E. Fukamachi)](https://old.reddit.com/r/Common_Lisp/comments/99q37t/how_to_enable_reader_macros_throughout_a_project/)
- [Extempore - The design, implementation and application of a cyber-physical programming language, Andrew Sorensen, Thesis, 2018 (PDF)](https://openresearch-repository.anu.edu.au/bitstream/1885/144603/1/Sorensen%20Thesis%202018.pdf)
- [https://www.ifosslr.org/ojs/ifosslr/article/view/75](https://www.reddit.com/r/lisp/comments/9gjd0m/lisping_copyleft_a_close_reading_of_the_lisp_lgpl/)
- [Uniform Structured Syntax, Metaprogramming and Run-time Compilation](https://m00natic.github.io/lisp/manual-jit.html)
- [Simple expression evaluator comparison between Haskell, Rust, and Common Lisp](https://z0ltan.wordpress.com/2018/08/04/simple-expression-evaluator-comparison-between-haskell-rust-and-common-lisp/)
- [Lisping at JPL](https://www.reddit.com/r/lisp/comments/98s5zp/lisping_at_jpl/)
- [A Clon guide](https://www.reddit.com/r/lisp/comments/93v9cv/a_clon_guide/)
- [Common LISP as Simulation Program (CLASP) of Electronic Circuits (2011) (pdf)](https://www.radioeng.cz/fulltexts/2011/11_04_880_889.pdf)
- [Lisp code for Christopher Riesbeck's cs325 AI course.](https://gitlab.com/criesbeck/cs325/)
- [A Story of (defun games ())](https://old.reddit.com/r/Common_Lisp/comments/93g3p2/a_story_of_defun_games/)


# Discussion

- [What are you working on this week ?](https://www.reddit.com/r/lisp/comments/9c94lu/what_applicationstasks_are_you_working_on_this/)
- [CL bad for native GUIs? And other thoughts on first CL project](https://www.reddit.com/r/lisp/comments/8zvirn/cl_bad_for_native_guis_and_other_thoughts_on/)

Learning Lisp:

- [I want to try Lisp, how should I begin?](https://www.reddit.com/r/lisp/comments/9er4mo/i_want_to_try_lisp_how_should_i_begin/)
- [What lisp dialect for "real world" applications?](https://www.reddit.com/r/lisp/comments/9b7v56/what_lisp_dialect_for_real_world_applications/)
- [What do commercial Lisps offer that frees don't?](https://www.reddit.com/r/lisp/comments/8w8cr1/what_do_commercial_lisps_offer_that_frees_dont/)
- [Which (non-Clojure) Lisp to learn first?](https://www.reddit.com/r/lisp/comments/9kiji7/which_nonclojure_lisp_to_learn_first/)
- [Can CL implement Clojure's keyword as function syntax?](https://www.reddit.com/r/lisp/comments/9k2vmi/can_cl_implement_clojures_keyword_as_function/)
- [Why cons cells?](https://www.reddit.com/r/lisp/comments/9j7uld/why_cons_cells/)

# Screencasts

- [Little bits of Lisp - cl-autowrap](https://youtu.be/BL9MiiCcETM)
- [Lots of bits of Lisp - Generating Bindings to C Libraries ](https://youtu.be/BL9MiiCcETM)
- [Lots of bits of Lisp - Macros (2 hr episode)](https://www.youtube.com/watch?v=ygKXeLKhiTI)
- [Pushing Pixels with Lisp - Episode 59 - Basic Disolve Shaders](https://youtu.be/WEFLi-u7qyE) (and more episodes !)
- [Common Lisp Study Group - Introduction to Screamer](https://www.youtube.com/watch?v=z7V5BL6W3CA)
- [Common Lisp Study Group: An Intro to SERIES](https://www.youtube.com/watch?v=uRLgZCV4bOM)
- [Daniel G Bobrow: Common LISP Object Standard 1987 (video 53min)](https://www.youtube.com/watch?v=1zS46_HWRMo)

# Common Lisp VS ...

- [Is there a Lisp that is considered "excellent" about error handling ?](https://www.reddit.com/r/lisp/comments/8wdw2r/is_there_a_lisp_that_is_considered_excellent/)
- [Lisp Dialect survey](https://www.reddit.com/r/lisp/comments/9lhbnx/lisp_dialect_survey/)
- [the Julia challenge](https://www.reddit.com/r/lisp/comments/9i5mmp/the_julia_challenge/)
- [Python pitfalls ?](https://www.reddit.com/r/lisp/comments/9g07to/python_pitfalls/)
- [How a Common Lisp programmer views users of other languages (humor)](https://www.reddit.com/r/lisp/comments/9lpssp/how_a_common_lisp_programmer_views_users_of_other/)
