+++
date = "2018-04-01T07:51:49+01:00"
title = "These months in Common Lisp: Q1 2018"
draft = false
+++

# Documentation

- [Multidimensional arrays – the Common Lisp Cookbook](Multidimensional arrays – the Common Lisp Cookbook)
- [Error and condition handling - the Common Lisp Cookbook](https://lispcookbook.github.io/cl-cookbook/error_handling.html)
- [Scripting: parsing command line arguments, building self-contained executables - the Common Lisp Cookbook](https://lispcookbook.github.io/cl-cookbook/scripting.html)
- [ASDF Best Practices for 2018](https://gitlab.common-lisp.net/asdf/asdf/blob/master/doc/best_practices.md)
- [The Quicklisp local-projects mechanism](http://blog.quicklisp.org/2018/01/the-quicklisp-local-projects-mechanism.html)
- [How to distribute your software, not library, on Quicklisp ala python pip](https://github.com/roswell/roswell/wiki/How-to-distribute-your-software,-not-library,-on-Quicklisp-ala-python-pip)
- [Common Lisp Brazil Community](https://commonlispbr.github.io/)
- [Awesome Lisp companies](https://github.com/azzamsa/awesome-lisp-companies)
- [Announcing Quickref: a global documentation project for Common Lisp](https://www.reddit.com/r/lisp/comments/7jk0co/announcing_quickref_a_global_documentation/)

# Announcements

- [European Lisp Symposium 2018](https://european-lisp-symposium.org/2018/index.html)
- [Lisp Game Jam 2018](https://itch.io/jam/lisp-game-jam-2018)


# Projects

- [Next web browser](https://github.com/next-browser/next)
- [cl-repl, the Common Lisp ipython-like REPL](https://github.com/koji-kojiro/cl-repl)
- [Emotiq - blockchain in Common Lisp](https://github.com/emotiq/emotiq)
- [original reddit code](https://github.com/reddit-archive/reddit1.0) from 2005. [reddit](https://www.reddit.com/r/lisp/comments/88513q/original_reddit_code_from_2005/).
- [Temperance - logic programming (in development, reached v1.0.0)](https://sjl.bitbucket.io/temperance/)
- [QR code 2005 encoder in Common Lisp](https://github.com/jnjcc/cl-qrencode)
- [print-licences: print licenses used by the given project and its dependencies (from sjl and dk_jackdaniel's utils)](https://github.com/vindarel/print-licenses)
- [Dufy, color library](https://github.com/privet-kitty/dufy)
- [cl-flow](https://github.com/borodust/cl-flow/) - Data-flowish computation tree library for non-blocking concurrent Common Lisp.
- [A docker container for CL development](https://hub.docker.com/r/eshamster/cl-devel2/) (also [lisp-devel](https://hub.docker.com/r/daewok/lisp-devel/), [CI on CL Cookbook](https://lispcookbook.github.io/cl-cookbook/testing.html#gitlab-ci))
- [Quickfork - Quicklisp for teams](https://github.com/svspire/quickfork)
- [Apache Thrift gains CL support](https://github.com/apache/thrift/commits/master)
- [JSCL playground](https://github.com/t-cool/jscl-playground)
- [MAGICL: Matrix Algebra proGrams In Common Lisp - Rigetti Computing](https://github.com/rigetticomputing/magicl)
- [Eturia has been open-sourced. An Open Computer for Education for teaching #Lisp written in #Javascript. ](https://github.com/BusFactor1Inc/eturia)

New releases:

- [Quicklisp dist update for february 2018](http://blog.quicklisp.org/2018/02/quicklisp-dist-update-for-february-2018.html)
- [SBCL 1.4.5](http://www.sbcl.org/all-news.html#1.4.5)
- [Portacle 1.1 release: SBCL update, ASDF fixes ](https://github.com/portacle/portacle/releases/tag/1.1)
- [McCLIM 0.9.7 "Imbolc" release](https://common-lisp.net/project/mcclim/posts/McCLIM-097-Imbolc-release.html)
- [Peter Norvig's Paradigms of Artificial Intelligence Programming - book as pdf and lisp code on Github](https://github.com/norvig/paip-lisp)
- [cl-torrents 0.9 - readline interface and 1337x.to scraper](cl-torrents 0.9 - readline interface and 1337x.to scraper)

Discoveries:

- [Folio2 - a collection of small libraries that provide support for functional idioms and data structures in Common Lisp; seamless integration of Series and FSet ](https://github.com/mikelevins/folio2)
- [Lisp Interface to Federal Reserve Economic Data (FRED®)](https://github.com/plkrueger/CommonLispFred)
- [cl-bench](https://gitlab.common-lisp.net/ansi-test/cl-bench) benchmarking tool. [reddit](https://www.reddit.com/r/Common_Lisp/comments/882mz4/clbench_common_lisp_benchmarking_suite/).
- [Screamer - nondeterministic programming. Augment Common Lisp with practically all of the functionality of both Prolog and constraint logic programming languages (10 yo, Nikodemus)](https://github.com/nikodemus/screamer)
- [C-Mera, a Common Lisp source-to-source compiler to generate C/C++](https://www.reddit.com/r/lisp/comments/7oaum4/cmera_a_commonlisp_sourcetosource_compiler_to/)
- [Regex, regular expression library in Common Lisp](https://www.reddit.com/r/lisp/comments/7nf4an/regex_regular_expression_library_in_common_lisp/)
- [Cells, spreadsheet-like expressiveness for CLOS](https://www.reddit.com/r/lisp/comments/7mji50/cells_spreadsheetlike_expressiveness_for_clos/)

# Articles

- [Starting a minimal Common Lisp project](http://notes.eatonphil.com/starting-a-minimal-common-lisp-project.html)
- [Emacs + ECL on Android](https://blog.teknik.io/phoe/p/1633)
- [Generic, consistent and dotted access of data structures with Access - lisp-journey](https://lisp-journey.gitlab.io/blog/generice-consistent-access-of-data-structures-dotted-path/) ([reddit](https://www.reddit.com/r/Common_Lisp/comments/7pysmx/generic_consistent_and_dotted_access_of_data/))
- [Quicklisp's per-project build failures RSS feed](http://blog.quicklisp.org/2018/01/build-failure-rss-feeds.html)
- [Quicklisp implementation stats for 2017+](http://blog.quicklisp.org/2018/02/quicklisp-implementation-stats-for-2017.html)
- [cl-charms crash course](http://turtleware.eu/posts/cl-charms-crash-course.html)
- [LLVM’s garbage collection facilities and SBCL’s generational GC](https://medium.com/@MartinCracauer/llvms-garbage-collection-facilities-and-sbcl-s-generational-gc-a13eedfb1b31)
- [A bunch of utilities from (again) sjl: higher order functions, sequences, debugging, profiling.](https://lisp-journey.gitlab.io/blog/snippets-functional-style-more/)
- [Sheets as ideal forms](https://common-lisp.net/project/mcclim/posts/Sheets-as-ideal-forms.html)
- [The return of cl-notebook](http://langnostic.inaimathi.ca/posts/the-return-of-cl-notebook)
- [Testing the SERIES package](https://www.reddit.com/r/lisp/comments/7rsfyn/testing_the_series_common_lisp_package/)

# Discussion

- [Portacle hits #1 on Hackernews](https://news.ycombinator.com/item?id=16591592)
- [What do you plan to work on in 2018?](https://www.reddit.com/r/lisp/comments/7n90l4/what_do_you_plan_to_work_on_in_2018/)
- [Pros and cons of different ways to declare types in Common Lisp?](https://www.reddit.com/r/lisp/comments/87gyhq/pros_and_cons_of_different_ways_to_declare_types/)
- [Has anyone considered or started a project to write a CL implementation in WebAssembly?](https://www.reddit.com/r/lisp/comments/7z7wuq/has_anyone_considered_or_started_a_project_to/)
- [What do you recommend to work with SQL databases ? What's your experience with Mito ?](https://www.reddit.com/r/Common_Lisp/comments/7s53qi/what_do_you_recommend_to_work_with_sql_databases/) and [sqlite only interface: cl-sqlite or cl-dbi ?](https://www.reddit.com/r/Common_Lisp/comments/7ozdcf/sqliteonly_interface_clsqlite_or_cldbi/)
  and [is there an ORM that generates classes from table definitions ?](https://www.reddit.com/r/lisp/comments/7iebty/ask_rlisp_is_there_any_lightweight_orm_that/)
- [How to get asdf system dependencies](https://www.reddit.com/r/Common_Lisp/comments/82wiyt/how_to_collect_all_asdf_dependencies_for/)
- [Join the cl-telegraph-bot refactoring effort !](https://www.reddit.com/r/Common_Lisp/comments/8665ga/please_join_the_cltelegrambot_refactoring_effort/)
- [GUI development done in Lisp (2013 comment)](https://www.reddit.com/r/Common_Lisp/comments/86mbhc/gui_development_done_in_lisp_2013_comment/)
- [Strategies for Dealing with Large Amounts of Memory in Lisp? (SBCL)](https://www.reddit.com/r/lisp/comments/88f9qs/strategies_for_dealing_with_large_amounts_of/)
- [GUI embedded plots in Lisp ?](https://www.reddit.com/r/lisp/comments/7xizfr/gui_embedded_plots_in_lisp/)
- [Is there any non-lisp that copies Common Lisp's condition system?](https://www.reddit.com/r/lisp/comments/7sp8mo/is_there_any_nonlisp_that_copies_common_lisps/)

## Common Lisp VS ...

- [As a newbie, what I will miss if I choose Racket over Common Lisp? Or if I happen to learn both at somepoint in future, choosing Racket/Common Lisp now would make sense?](https://www.reddit.com/r/lisp/comments/86ze0t/as_a_newbie_what_i_will_miss_if_i_choose_racket/)
- [What can other languages do that Lisp can't ?](https://www.reddit.com/r/lisp/comments/7lf149/what_can_other_languages_do_that_lisp_cant/)

# Screencasts

- [Pushing Pixels with Lisp](https://youtu.be/unFYp6QFEiU?t=9m4s)
- [Lisp Treehouse](https://events.tymoon.eu/1?20180311)
- [Common Lisp study group 01-30-2018](https://www.youtube.com/watch?v=G2hgarXaEJI) (video)
- [Little bits of Lisp](https://www.youtube.com/playlist?list=PL2VAYZE_4wRJi_vgpjsH75kMhN4KsuzR_)

# Jobs

- [Research Scientist Interactive Theorem Proving (using PVS, a Common Lisp application)](https://www.mail-archive.com/types-announce@lists.seas.upenn.edu/msg06942.html)
- [Lisp Engineer, Mind.ai](https://lispjobs.wordpress.com/2017/11/22/lisp-engineer-mind-ai-seoul-korea-l-a-usa/)
- [lisp-based domain specific language, compiler design](https://angel.co/l/2717mK)
- [Seeking co-founder for Lisp game studio](https://www.reddit.com/r/lisp/comments/7ik44o/seeking_cofounder_for_lisp_game_studio/)

---

If we missed anything: https://gitlab.com/lisp-journey/lisp-journey.gitlab.io
