+++
date = "2017-02-05T07:51:49+01:00"
title = "Resources"
draft = false
+++


* [lisp-lang.org](http://lisp-lang.org/)
* [awesome-cl](https://github.com/CodyReichert/awesome-cl)
* [Common Lisp Cookbook](https://lispcookbook.github.io/cl-cookbook/)

search libraries on

* http://quickdocs.org/

## Individual sites:

* [sjl's road to Lisp](http://stevelosh.com/blog/2018/08/a-road-to-common-lisp/)
* [Martin Cracauer's Gentle Introduction to compile-time computing](https://medium.com/@MartinCracauer/a-gentle-introduction-to-compile-time-computing-part-3-scientific-units-8e41d8a727ca) - excellent article series
* https://www.darkchestnut.com/ - he encountered deployment obstacles, wrote a book and blogs about it.
* http://lispmethods.com/
* [Malisper's series on debugging](http://malisper.me//debugging-lisp-part-1-recompilation/)

## Screencasts:

* [Little Bits of Lisp](https://www.youtube.com/playlist?list=PL2VAYZE_4wRJi_vgpjsH75kMhN4KsuzR_) -
  short videos on various topics: inspecting a condition, basics of
  lisp's evaluation model,…
* [Common Lisp Tutorials](https://www.youtube.com/playlist?list=PL2VAYZE_4wRIoHsU5cEBIxCYcbHzy4Ypj), of which [Emacs and Slime - useful keyboard shortcuts](https://www.youtube.com/watch?v=sBcPNr1CKKw&index=4&list=PL2VAYZE_4wRIoHsU5cEBIxCYcbHzy4Ypj)
* [Common Lisp Study Group](https://www.youtube.com/channel/UCYg6qFXDE5SGT_YXhuJPU0A/videos) (long videos)
* [Programming a message bus in Common Lisp](https://www.youtube.com/watch?v=CNFr7zIfyeM) - shows the interactive nature of lisp, good use of the debugger, test-driven development to shape the api, bordeaux-threads.
* [Web development in Emacs with Common Lisp and ClojureSCript](https://www.youtube.com/watch?v=bl8jQ2wRh6k) -
  building [Potato](https://github.com/cicakhq/potato), a Slack-like app.
* [Programming a MessageBus in Common Lisp](https://www.youtube.com/watch?v=CNFr7zIfyeM)
* Shinmera playlists:
  [Treehouse](https://www.youtube.com/playlist?list=PLkDl6Irujx9MtJPRRP5KBH40SGCenztPW)
  (game dev),
  [Demos](https://www.youtube.com/playlist?list=PLkDl6Irujx9Mh3BWdBmt4JtIrwYgihTWp)
  (of small programs).
* [Pushing pixels with Lisp](https://www.youtube.com/watch?v=82o5NeyZtvw), and by the same author:
 * [CEPL demo](https://www.youtube.com/watch?v=a2tTpjGOhjw&index=20&list=RDxzTH_ZqaFKI) - working with OpenGL
 * [Baggers' channels](https://www.youtube.com/channel/UCMV8p6Lb-bd6UZtTc_QD4zA).
 * [Cando: computational chemistry with Common Lisp on LLVM with Jupyter notebooks](https://www.youtube.com/playlist?list=PLbl4KVdl9U3I3MhFWgauT0cz-x7SymZmn&disable_polymer=true)

* [McClim interactive GUI demos](https://www.youtube.com/watch?v=XGmo0E_S46I). [Code examples](https://github.com/robert-strandh/McCLIM/blob/master/Examples/demodemo.lisp). Presentation of [Clim listener, Clim debugger, drawing objects into the GUI repl](https://www.youtube.com/watch?v=kfBmRsPRdGg).
* [Interactively fixing failing tests](https://peertube.video/videos/watch/c0c82209-feaa-444d-962f-afa25745bfc0)
* [videos of the European Lisp Symposium](https://www.youtube.com/channel/UC55S8D_44ge2cV10aQmxNVQ)

and more on [Cliki](http://www.cliki.net/Lisp%20Videos).

## Some games:

* [Spycursion](https://defungames.com/) - "a sandbox "edutainment" MMO centered around hacking and espionage which takes place in a near-future world".


<img src="https://defungames.com/wp-content/uploads/2019/01/eavesdropping.png" alt="spycursion" width="450"/>

* [Orb](https://baggers.itch.io/orb)

![](https://img.itch.zone/aW1hZ2UvMjUyMTE3LzEyMDYxNDUucG5n/347x500/YEFnGW.png)

* [Notalone](https://github.com/borodust/notalone)

![](https://img.itch.zone/aW1hZ2UvMTg2MzQ1Lzg3MjI2NC5wbmc=/347x500/6WLhIo.png)

* [Moppu](https://sarge.itch.io/moppu)

![](https://img.itch.zone/aW1hZ2UvNTAyMzQ2LzI2MDA1NjUucG5n/347x500/hdXQvV.png)

* [The price of a cup of coffee](https://goofist.itch.io/the-price-of-a-cup-of-coffee)

![](https://img.itch.zone/aW1hZ2UvNTAyNzk3LzI2MDMzNDQucG5n/347x500/0svE3f.png)

* http://www.sebity.com/projects.php (Snake, the Invaders,… with OpenGL)

* [cl-snake](https://github.com/SahilKang/cl-snake) snake in the terminal
