+++
date = "2017-12-05T07:51:49+01:00"
title = "Who's using Common Lisp ?"
draft = false
+++


> Everyone says “Nobody uses Lisp” and Lispers say “Yes they do, there’s ITA, and, um, Autocad, and, uh, oh yeah, Paul Graham wrote Viaweb in Lisp!” Not very helpful for either side.

Following [Lisp Companies blog post](http://pchristensen.com/blog/lisp-companies/) (2008, many dead links).

Reddit and [lispjobs](https://lispjobs.wordpress.com/) are the major sources. Sponsors can be found on the [European Lisp Symposium](http://www.european-lisp-symposium.org/) website.

Of course, see

* [lisp-lang.org's success stories](http://lisp-lang.org/success/) for
  a showcase of projects and companies in aerospace, AI & Machine
  Learning, Science, Graphics etc.
* [franz.com success stories](https://franz.com/success/)
* [lisp-journey's short software list](https://lisp-journey.gitlab.io/software/) (pgloader,…)
* [awesome-cl-software](https://github.com/azzamsa/awesome-cl-software/commits/master) (old and current),
* [awesome-cl](https://github.com/CodyReichert/awesome-cl) libraries.
* [**awesome-lisp-companies**](https://github.com/azzamsa/awesome-lisp-companies/), a bigger list.


Let's quote Kent Pitman's famous answer:

> But please don't assume this is an exhaustive list, and please don't assume Lisp is only useful for Animation and Graphics, AI, Bioinformatics, B2B and Ecommerce, Data Mining, EDA/Semiconductor applications, Expert Systems, Finance, Intelligent Agents, Knowledge Management, Mechanical CAD, Modeling and Simulation, Natural Language, Optimization, Research, Risk Analysis, Scheduling, Telecom, and Web Authoring just because these are the only things they happened to list. Common Lisp really is a general language capable of a lot more than these few incidental application areas, even if this web page doesn't totally bring that out.

(and this list doesn't mention that it was used for auto-piloting the
DS1 spaceship by the NASA for several days)

---



* [D-wave systems](http://www.dwavesys.com), "quantum processor development". "The software is implemented in Common Lisp (SBCL) and is an integral part of the quantum computing system." [lispjobs announce](https://lispjobs.wordpress.com/2015/03/16/software-developer-for-quantum-processor-development-group-d-wave-systems-vancouver-british-columbia/).
* [Emotiq](https://github.com/emotiq/emotiq) - a next-generation
  blockchain with an innovative natural-language approach to smart
  contracts.
* [Grammarly](https://tech.grammarly.com/blog/posts/Running-Lisp-in-Production.html),
  an English language writing-enhancement platform.
* [m-creations](http://www.m-creations.com/), custom software
  solutions for mid-size to big companies in finance/payment, health
  care, and media. Using Common Lisp in different fields ranging from
  dynamic web applications and Natural Language Processing to systems
  engineering infrastructure in container clusters (DNS, dynamic load
  balancer).
* [Ravenpack](https://www.ravenpack.com/careers/junior-common-lisp-developer), "the leading big data analytics provider for financial services". [reddit announce](https://www.reddit.com/r/Common_Lisp/comments/7ldiyg/suggestion_for_common_lisp_internship/).
* [Rigetti](http://rigetti.com/about), new quantum computing company. They already sponsored a Quicklisp development. They chose Common Lisp (SBCL). [Video](https://www.reddit.com/r/Common_Lisp/comments/7ifq92/lisp_at_the_frontier_of_computation_by_robert/). *Their* Lisp even runs 40% faster than *their* C code.
* [Secure Outcomes](http://www.secureoutcomes.net/) "builds and provides digital livescan fingerprinting systems for use by law enforcement, military, airports, schools, Fortune 500s, etc.". "All of our systems are constructed in Common Lisp.". [lispjobs announce](https://lispjobs.wordpress.com/2016/06/03/secure-outcomes-contract-common-lisp-programmer/).
* [Somewrite.jp](http://somewrite.jp/), a "native advertising network platform". Common Lisp web development. [lispjobs announce](https://lispjobs.wordpress.com/2015/04/24/common-lisp-web-developer-somewrite-tokyo-or-remote/). A [Fukamachi](https://github.com/fukamachi/) company. [press write up](http://thebridge.jp/en/2016/04/asahi-shimbun-acquires-somewrite).
* [Spycursion](https://defungames.com/index.html) PC game. [Reddit announce](https://www.reddit.com/r/Common_Lisp/comments/7ik1iw/seeking_cofounder_for_lisp_game_studio/).
